//
// Created by jedi on 18.11.21.
//

#ifndef FIRMWARE_LOG_H
#define FIRMWARE_LOG_H

#ifdef __cplusplus
extern "C" {
#endif

void syslog(const char *);

unsigned syslog_current_tail();

unsigned syslog_data_after(unsigned);

int syslog_copy_out(char *, int, unsigned);

void syslog_attach();

void syslog_detach();

#ifdef __cplusplus
}
#endif

#endif //FIRMWARE_LOG_H
